Bug 58801 - domxml module in php 4.1.1 does not handle comment xml nodes correctly
domxml module in php 4.1.1 does not handle comment xml nodes correctly
Product: Red Hat Raw Hide
Classification: Retired
Component: php (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Copeland
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-01-24 15:57 EST by Joseph Tate
Modified: 2007-04-18 12:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-28 16:05:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to fix problem described. (408 bytes, patch)
2002-01-24 15:58 EST, Joseph Tate
no flags Details | Diff

  None (edit)
Description Joseph Tate 2002-01-24 15:57:34 EST
Description of Problem:
In the domxml module of the php 4.1.1 release the node type is not being set 
for comment xml nodes.  This causes an uncatchable fatal error if the node is 
subsequently queried for attributes.  Since the node type is not set, logic 
cannot be used to filter out this case.

Version-Release number of selected component (if applicable):

How Reproducible:
Create XML including a comment node, iterate through it using DOMXML routines 
querying for attributes.  Try to read $node->Get_Attribute("ATTR").

Additional Information:
I have created a patch to the php module and will attach it.  As of right now 
there is no RedHat php 4.1.1 rpm release, but if/when you make one, you may 
want to include this patch.
Comment 1 Joseph Tate 2002-01-24 15:58:27 EST
Created attachment 43394 [details]
Patch to fix problem described.
Comment 2 Holger Eilhard 2002-01-27 11:50:37 EST
I have created 4.1.1 RPM's (including this patch). If someone would like to 
get these, send an email.
Comment 3 Joseph Tate 2002-01-28 10:42:39 EST
This patch has been incorporated into the PHP cvs tree for a 4.1.2 release.  
If a 4.1.1 RedHat RPM is to be made, this patch should be incorporated.
Comment 4 Phil Copeland 2002-01-28 16:05:50 EST
(If I can get the blasted rpm spec file to behave...)
Should be something in rawhide tonight I hope

Comment 5 Phil Copeland 2002-02-04 17:24:25 EST
Well I applied your patch and it's out there in the wild. I'll assume I can
close this bug

Note You need to log in before you can comment on or make changes to this bug.